<?php
class Notes {
	
	public function __construct () {
		try {
			$this->db = new PDO('mysql:host=localhost;dbname=vlachzd1;charset=utf8','vlachzd1','lomena10');
			$this->db->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
		} catch(PDOException $e)  {
    		echo $e->getMessage();
    	}
	}

	public function listNotes () {
		$res = $this->db->query('SELECT * FROM y36tw1_record');
		if (!$res) {
			$error = $this->db->errorInfo();
			echo $error[2];
		} else {
			// vypsat řádky
			while($row = $res->fetch(PDO::FETCH_ASSOC))
			{
				echo '<tr>'.
					'<td>'.$row['id'].'</td>'.
					'<td>'.htmlspecialchars($row['author'],ENT_QUOTES).'</td>'.
					'<td>'.htmlspecialchars($row['title'],ENT_QUOTES).'</td>'.
					'<td>'.htmlspecialchars($row['date'],ENT_QUOTES).'</td>'.
					'<td>'.htmlspecialchars($row['text'],ENT_QUOTES).'</td>'.
					'<td><form method="post"><input type="hidden" name="id" value="'.$row['id'].'"><input type="submit" name="removeNote" value="X"/></form></td>'.
				'</tr>';
			}
			// získat všechny řádky do pole
			//$pole = $res->fetchAll();
		}
	}

	public function addNote () {
		//print_r($_POST);

		// kontrola vstupnich dat
		$title = $_POST['title'];
		$author = $_POST['author'];
		$date = $_POST['date'];
		$text = $_POST['text'];

		//$sql = "INSERT INTO y36tw1_record (title,author,date,text) VALUES ('$title', '$author','$date','$text')";
		
		//prepared statements
		$sql = "INSERT INTO y36tw1_record (title,author,date,text) VALUES (:title, :author,:date,:text)";
		// vlozeni dat do DB
		try {
			// ->exec($sql);


			//prepared statements
			$prep = $this->db->prepare($sql);
			$prep->bindParam(":title",$title);
			$prep->bindParam(":author",$author);
			$prep->bindParam(":date",$date);
			$prep->bindParam(":text",$text);
			$prep->execute();
		}
		catch(PDOException $e)  {
    		echo $sql . "<br>" . $e->getMessage();
    	}
		
		//echo $this->db->lastInsertId();
	}


	public function removeNote () {
		$id=$_POST['id'];

		//prepared statements
		$sql = "DELETE FROM y36tw1_record WHERE id=:id";
		// smazani dat z tabulky
		try {
			//prepared statements
			$prep = $this->db->prepare($sql);
			$prep->bindParam(":id",$id);
			$prep->execute();
		}
		catch(PDOException $e)  {
    		echo $sql . "<br>" . $e->getMessage();
    	}
	}

	public function editNote () {
		// UPDATE table_name SET field1=new-value1, field2=new-value2 [WHERE Clause]
	}
}
?>